<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	template="/WEB-INF/templates/menu_template.xhtml">

	<ui:define name="tituloPagina">#{msgProductos.bcProductoAdmin}</ui:define>

	<ui:define name="cuerpoPagina">

		<h:form id="formMensajes">
			<p:growl id="messages" showDetail="true" showSummary="true"
				for="msgGrowl" escape="false" />
		</h:form>

		<h:form id="form">
			<p:breadCrumb>
				<p:menuitem value="#{msgProductos.bcInicio}"
					url="${request.contextPath}/" />
				<p:menuitem value="#{msgProductos.bcProducto}" url="#" />
				<p:menuitem value="#{msgProductos.bcProductoAdmin}"
					url="${request.contextPath}/productos/administrar.faces" />
			</p:breadCrumb>

			<p:dataTable id="productoList" var="objProducto"
				value="#{beanProducto.getListadoProductos()}" rows="15"
				paginator="true" paginatorPosition="bottom" multiViewState="true"
				paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
				rowsPerPageTemplate="5,10,15" lazy="true">

				<f:facet name="header">#{msgProductos.tituloAdministrar}</f:facet>

				<p:column headerText="#{msgProductos.idProducto}"
					style="width: 15%;">
					<h:outputText value="#{objProducto.idProducto}" />
				</p:column>

				<p:column headerText="#{msgProductos.nombreProducto}"
					style="width: 15%;">
					<h:outputText value="#{objProducto.nombreProducto}" />
				</p:column>

				<p:column headerText="#{msgProductos.descripcion}"
					style="width: 15%;">
					<h:outputText value="#{objProducto.descripcion}" />
				</p:column>

				<p:column headerText="#{msgProductos.categoria}" style="width: 15%;">
					<h:outputText value="#{objProducto.categoria.nombreCategoria}" />
				</p:column>

				<p:column headerText="#{msgProductos.iva}" style="width: 16%;">
					<h:outputText value="#{objProducto.iva}" />
				</p:column>

				<p:column headerText="#{msgProductos.referencia}"
					style="width: 15%;">
					<h:outputText value="#{objProducto.referencia}" />
				</p:column>

				<p:column headerText="" style="width: 10%;">
					<p:commandLink
						action="#{beanProducto.seleccionarProductoActualizar(objProducto)}"><i class="fa fa-edit"
							style="font-size: 1.3em; color: green; margin-right: 1rem;"></i>
					</p:commandLink>

					<p:commandLink
						actionListener="#{beanProducto.seleccionarProductoBorrar(objProducto)}"
						oncomplete="PF('dialogBorrar').show();"
						update=":dialogForm:nomProductoBorrar"><i class="fa fa-trash-o" style="font-size: 1.3em; color: red;"></i>
					</p:commandLink>
				</p:column>

			</p:dataTable>

		</h:form>

		<p:dialog header="#{msgProductos.mensajeBorrar}"
			widgetVar="dialogBorrar" modal="true" height="150px"
			resizable="false">

			<h:form id="dialogForm">
				<h:outputText value="#{msgProductos.mensajeConfirmar}" />
				<p:separator />
				<strong> <h:outputText id="nomProductoBorrar"
					value="#{beanProducto.objProducto.nombreProducto}" /> </strong>

				<br />
				<br />

				<div align="center"> <p:commandButton
					value="#{msgProductos.btnBorrar}"
					style="background: red; color: #FFF"
					actionListener="#{beanProducto.btnBorrar()}"
					update="form :formMensajes:messages"
					oncomplete="PF('dialogBorrar').hide();" ajax="true" /> <p:commandButton
					value="#{msgProductos.btnCancelar}"
					onclick="PF('dialogBorrar').hide();" ajax="true" /> </div>
			</h:form>

		</p:dialog>

	</ui:define>

</ui:composition>

